GXml.XsdComplexType – GXml-0.20 Reference Manual

# XsdComplexType

## Object Hierarchy:

## Description:

public class XsdComplexType : XsdBaseType
Namespace: GXml
Package: GXml-0.20

## Content:

### Properties:

- public bool @abstract { get; set; }
  attribute name = abstract
- public string block { get; set; }
  (#all | List of (extension | restriction))
- public XsdBaseContent content_type { get; set; }
  A XsdComplexType or XsdSimpleType
- public bool default_attributes_apply { get; set; }
  defaultAttributesApply
- public string final { get; set; }
  (#all | List of (extension | restriction))
- public XsdList group_attributes { get; }
  List of group XsdAttribute definitions
- public bool mixed { get; set; }
- public string name { get; set; }
- public XsdList type_attributes { get; }
  List of type XsdAttribute definitions

### Creation methods:

- public XsdComplexType ()

### Fields:

- protected XsdList _group_attributes
- protected XsdList _type_attributes

### Inherited Members:

All known members inherited from class GXml.XsdBaseType

- anotation

All known members inherited from class GXml.Element

- _attributes
- _namespace_uri
- attributes
- child_element_count
- children
- class_list
- class_name
- create_stream
- create_stream_async
- first_element_child
- get_attribute
- get_attribute_ns
- get_elements_by_class_name
- get_elements_by_tag_name
- get_elements_by_tag_name_ns
- has_attribute
- has_attribute_ns
- id
- initialize

- initialize_document
- initialize_document_with_namespace
- initialize_with_namespace
- last_element_child
- local_name
- lookup_namespace_uri
- lookup_prefix
- namespace_uri
- next_element_sibling
- parse_buffer
- parse_buffer_async
- parse_children
- parse_pending
- prefix
- previous_element_sibling
- query_selector_all
- read_buffer
- read_from_file
- read_from_file_async

- read_from_stream
- read_from_stream_async
- read_from_string
- read_from_string_async
- read_unparsed
- remove
- remove_attribute
- remove_attribute_ns
- set_attribute
- set_attribute_ns
- tag_name
- unparsed
- write_file
- write_file_async
- write_stream
- write_stream_async
- write_string
- write_string_async

All known members inherited from class GXml.Node

- _base_uri
- _child_nodes
- _document
- _local_name
- _node_type
- _node_value
- _parent
- _prefix
- add_event_listener
- append_child
- base_uri
- child_nodes

- compare_document_position
- contains
- dispatch_event
- first_child
- has_child_nodes
- insert_before
- is_default_namespace
- is_equal_node
- last_child
- lookup_namespace_uri
- lookup_prefix
- next_sibling

- node_name
- node_type
- node_value
- normalize
- owner_document
- parent_element
- parent_node
- previous_sibling
- remove_child
- remove_event_listener
- replace_child
- text_content

All known members inherited from class GLib.Object

- @get
- @new
- @ref
- @set
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- force_floating
- freeze_notify
- get_class
- get_data

- get_property
- get_qdata
- get_type
- getv
- interface_find_property
- interface_install_property
- interface_list_properties
- is_floating
- new_valist
- new_with_properties
- newv
- notify
- notify_property
- ref_count
- ref_sink
- remove_toggle_ref
- remove_weak_pointer

- replace_data
- replace_qdata
- set_data
- set_data_full
- set_property
- set_qdata
- set_qdata_full
- set_valist
- setv
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref

All known members inherited from interface GXml.DomChildNode

- remove

All known members inherited from interface GXml.DomNonDocumentTypeChildNode

- next_element_sibling

- previous_element_sibling

All known members inherited from interface GXml.DomParentNode

- child_element_count
- children
- first_element_child

- get_elements_by_property_value
- last_element_child

- query_selector
- query_selector_all

All known members inherited from interface GXml.DomElement

- attributes
- class_list
- class_name
- create_stream
- create_stream_async
- get_attribute
- get_attribute_ns
- get_elements_by_class_name
- get_elements_by_tag_name
- get_elements_by_tag_name_ns
- has_attribute
- has_attribute_ns

- id
- local_name
- matches
- namespace_uri
- prefix
- read_from_file
- read_from_file_async
- read_from_stream
- read_from_stream_async
- read_from_string
- read_from_string_async
- read_from_uri

- read_from_uri_async
- remove_attribute
- remove_attribute_ns
- set_attribute
- set_attribute_ns
- tag_name
- write_file
- write_file_async
- write_stream
- write_stream_async
- write_string
- write_string_async

All known members inherited from interface GXml.Object

- clean_property_elements
- find_elements
- find_object_property_name
- find_property
- find_property_name

- get_attribute
- get_child
- get_properties_list
- get_property_element_list

- get_property_string
- remove_attribute
- set_attribute
- set_instance_property

All known members inherited from interface GXml.DomEventTarget

- add_event_listener

- dispatch_event

- remove_event_listener

All known members inherited from interface GXml.DomNode

- append_child
- base_uri
- child_nodes
- compare_document_position
- contains
- copy
- first_child
- has_child_nodes
- insert_before

- is_default_namespace
- is_equal_node
- last_child
- lookup_namespace_uri
- lookup_prefix
- next_sibling
- node_name
- node_type
- node_value

- normalize
- owner_document
- parent_element
- parent_node
- previous_sibling
- remove_child
- replace_child
- text_content